Ivan

My feedback

  1. 50 votes
    Sign in
    (thinking…)
    Sign in with: Facebook Google
    Signed in as (Sign out)

    We’ll send you updates on this idea

    6 comments  ·  PowerShell » Microsoft.PowerShell.* Modules  ·  Flag idea as inappropriate…  ·  Admin →
    survey  ·  Zachary Alexander responded

    changing to Survey based on Joonas’ comment below – request is to have a flag to force TLS 1.2.

    Ivan supported this idea  · 
    An error occurred while saving the comment
    Ivan commented  · 

    I'm not sure there's anything to run survey for. This looks like a bug to me. These cmdlets should negotiate the highest available protocol version first.

    While having Protocol parameter would be helpful, but it looks more like an extra feature to me, rather than a bug fix. With more services disable anything older than TLS1.2 adding in [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12 everywhere becomes a mandatory action

Feedback and Knowledge Base